#!/usr/bin/perl
$path = "/Volumes/iodata/project/oceaninformatics/working_rt/CTDPerl/Downcast_db";
$ship = 'JD';
@paths = ("/Volumes/iodata/project/oceaninformatics/working_rt/CTDPerl/Downcast_db",
	  "/Volumes/iodata/project/oceaninformatics/working_rt/CTDPerl/Downcast_asc-hdr",
	  "/Volumes/iodata/project/oceaninformatics/working_rt/CTDPerl/Downcast_plots",
	  "/Volumes/iodata/project/oceaninformatics/working_rt/CTDPerl/Upcast_asc-hdr",
	  "/Volumes/iodata/project/oceaninformatics/working_rt/CTDPerl/Upcast_db",
	  "/Volumes/iodata/project/oceaninformatics/working_rt/CTDPerl/Upcast_plots");
while (defined($next = <$paths[0]/*.csv>)) {
	@vals = split(/\//,$next);
	$file = $vals[$#vals];
	$castNum = substr($file,5,3);
	$cruise = substr($file,1,4);
	open(INFILE,"<".$paths[0].'/'.$file) or die "can't open $file: $!\n";
	while (<INFILE>) {
		$line = $_;
		last if ($. >= 2);
	}
	close INFILE;
	@fields = split(/,/,$line);
	($li,$dli,$st,$dst) = unpack("A3 x1 A1 x1 A3 x1 A1",$fields[7]);

	$oldFile[0] = $paths[0] . '/' .$vals[$#vals];
	$oldFile[1] = $paths[1] . '/d'. $cruise . $castNum . '.asc';
	$oldFile[2] = $paths[1] . '/d'. $cruise . $castNum . '.hdr';
	$oldFile[3] = $paths[2] . '/'. $cruise . $ship . $castNum . 'DownCast.pdf';
	$oldFile[4] = $paths[2] . '/'. $cruise . $ship . $castNum . 'DownCast.png';

	$oldFile[5] = $paths[3] . '/u'. $cruise . $castNum . '.asc';
	$oldFile[6] = $paths[3] . '/u'. $cruise . $castNum . '.hdr';
	$oldFile[7] = $paths[4] . '/u'. $cruise . $castNum . '_db.csv';
	$oldFile[8] = $paths[5] . '/'. $cruise . $ship . $castNum . 'UpCast.pdf';
	$oldFile[9] = $paths[5] . '/'. $cruise . $ship . $castNum . 'UpCast.png';
	
	$newFile[0] = $paths[0] . '/' . $cruise."_".$li.$dli.$st.$dst."d.csv";
	$newFile[1] = $paths[1] . '/' . $cruise."_".$li.$dli.$st.$dst."d.asc";
	$newFile[2] = $paths[1] . '/' . $cruise."_".$li.$dli.$st.$dst."d.hdr";
	$newFile[3] = $paths[2] . '/' . $cruise."_".$li.$dli.$st.$dst."d.pdf";
	$newFile[4] = $paths[2] . '/' . $cruise."_".$li.$dli.$st.$dst."d.png";
	$newFile[5] = $paths[3] . '/' . $cruise."_".$li.$dli.$st.$dst."u.asc";
	$newFile[6] = $paths[3] . '/' . $cruise."_".$li.$dli.$st.$dst."u.hdr";
	$newFile[7] = $paths[4] . '/' . $cruise."_".$li.$dli.$st.$dst."u.csv";
	$newFile[8] = $paths[5] . '/' . $cruise."_".$li.$dli.$st.$dst."u.pdf";
	$newFile[9] = $paths[5] . '/' . $cruise."_".$li.$dli.$st.$dst."u.png";

	foreach ($i=0;$i<=9;$i++) {
		#print $oldFile[$i] . " is being renamed to " . $newFile[$i] . "\n";
		rename($oldFile[$i], $newFile[$i]);
	} 
}
